List invoices
A GET request to the /v1/billing/invoices endpoint will show a list of all account invoices. You can make the request more specific using the query parameters.
Authorization
bearerAuth In: header
Query Parameters
| Field | Details |
|---|---|
status? | stringValue in: Invoices of the specified status will be shown. |
type? | stringValue in: This parameter defines if invoices or credit notes will be listed. |
parent_id? | stringDisplaying results by the parent invoice. |
currency? | stringA parameter to show invoices in a chosen currency. |
start_date? | string<date>Show invoices from this date. |
end_date? | string<date>Show invoices until this date. |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
curl -X GET "https://example.com/v1/billing/invoices?currency=EUR"[ { "id": "olejRejN", "number": 1, "parent_id": null, "status": "pending", "date": "2026-06-01", "type": "invoice", "total_due": 200, "currency": "EUR" }, { "id": "pmbk5ezJ", "number": 2, "parent_id": null, "status": "overdue", "date": "2026-05-01", "type": "invoice", "total_due": 200, "currency": "EUR" }, { "id": "MvbmOeYA", "number": 4, "parent_id": "pnel5aKB", "status": "pending", "date": "2026-05-01", "type": "invoice", "total_due": 20, "currency": "EUR" }, { "id": "pnel5aKB", "number": 3, "parent_id": null, "status": "paid", "date": "2026-04-01", "type": "invoice", "total_due": 200, "currency": "EUR" }]